#
# spec file for package pspg
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pspg
Version:        1.9.0
Release:        1.21
Summary:        Pager for PostgreSQL, MariaDB, Percona, and MySQL
License:        BSD-2-Clause
Group:          Productivity/Text/Utilities
URL:            https://github.com/okbob/pspg
Source:         https://github.com/okbob/pspg/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig >= 0.9.0
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(ncurses)

%description
Advanced pager for PostgreSQL and MySQL databases.
Everybody who uses psql uses less pager. It is working well, but there is
not any special support for tabular data. Tabular data related features
are core functionality of this pager.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/pspg

%changelog
* Fri Sep  6 2019 petr@yarpen.cz
- version 1.9.0
  * Sort by numeric column support
  * vertical cursor (column cursor) & column searching support
    (since 1.7.0)
  * fixes for menu drawing. Menus that are larger in any dimension
    over terminal when terminal is resized (since 1.6.5)
  * libvte related fixes for color processing (since 1.6.4)
  * minor overall bugfixes
* Mon Sep 10 2018 petr@yarpen.cz
- version 1.6.2
  * Uses readline when this library is available. It supports
    persistent history of searching strings
  * configuration via pull down menu
  * possibility to hide status/menu/command bars
  * possibility to show row numbers
  * possibility to hide cursor
* Wed Mar 21 2018 mpluskal@suse.com
- Extend previous changelog entry
- Modernise spec file
* Tue Mar 20 2018 petr@yarpen.cz
- version 1.0.0
  * supports 8bit encodings like latin1, latin2.
  * The border arts is correctly printed on terminals with these
    encodings.
  * Searching is more robust and more correct now
  * With mentioned long option the ascii art (borders) can be
    replaced by more pretty unicode art
  * Add options --ignore-case and --IGNORE-CASE
* Mon Nov 27 2017 mpluskal@suse.com
- Use source url
- Cleanup with spec-cleaner
- Use macro for configure
- Use pkgconfig style of dependencies
* Mon Nov 27 2017 petr@yarpen.cz
- initial import to OBS
- version 0.7.3
